Update

Only custom payment methods can be updated.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
paymentMethodIdstringRequired
Payment Method ID or Payment Method ForeignID

Request

This endpoint expects an object.
customobjectRequired
OR
bankAccountobjectRequired
Only defaultSource, defaultDestination, accountName, and checkOptions can be updated.
OR
cardobjectRequired
Only defaultSource and defaultDestination can be updated.
OR
checkobjectRequired
Only defaultSource and defaultDestination can be updated.
OR
offPlatformobjectRequired
Only defaultSource and defaultDestination can be updated.
OR
utilityobjectRequired
Only defaultSource and defaultDestination can be updated.
OR
walletobjectRequired
Only defaultSource and defaultDestination can be updated.

Response

This endpoint returns an object.
bankAccountobject
OR
cardobject
OR
checkobject
OR
customobject
OR
offPlatformobject
OR
utilityobject
OR
walletobject

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented